Foreman - Bug #15363

Resolving OS templates for new host raises routing error from invalid URI
06/09/2016 08:20 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Host creation
Target version: 1.11.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3586
Description

When on the New Host page with OS details all configured, the "Resolve" provisioning templates button shows a warning of "Sorry
but no templates were configured." and Foreman logs:

2016-06-09T13:07:33 [app] [I] Started POST "/hosts/template_used&provisioning=build" for 127.0.0.1
at 2016-06-09 13:07:33 +0100
2016-06-09T13:07:33 [app] [F]

| ActionController::RoutingError (No route matches [POST] "/hosts/template_used&provisioning=buil

| actionpack (4.2.6) lib/action_dispatch/middleware/debug_exceptions.rb:21:in ‘call'

| actionpack (4.2.6) lib/action_dispatch/middleware/show_exceptions.rb:30:in “call'

| railties (4.2.6) lib/rails/rack/logger.rb:38:in “call_app'

| railties (4.2.6) lib/rails/rack/logger.rb:22:in “call'

| quiet_assets (1.1.0) lib/quiet_assets.rb:27:in ‘call_with_quiet_assets'

| actionpack (4.2.6) lib/action_dispatch/middleware/request_id.rb:21:in “call'

| rack (1.6.4) lib/rack/methodoverride.rb:22:in “call'

| rack (1.6.4) lib/rack/runtime.rb:18:in “call'

| activesupport (4.2.6) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in ‘call

rack (1.6.4) lib/rack/lock.rb:17:in “call'
actionpack (4.2.6) lib/action_dispatch/middleware/static.rb:120:in “call’
rack (1.6.4) lib/rack/sendfile.rb:113:in ‘call'’

railties (4.2.6) lib/rails/engine.rb:518:in “call'

railties (4.2.6) lib/rails/application.rb:165:in “call'

railties (4.2.6) lib/rails/railtie.rb:194:in “public_send'

railties (4.2.6) lib/rails/railtie.rb:194:in "method_missing'
6.4) lib/rack/urlmap.rb:66:in “block in call'

rack (1.6.4) lib/rack/urlmap.rb:50:in ‘each'

rack (1.6.4) lib/rack/urlmap.rb:50:in ‘call’

rack (1.6.4) lib/rack/lock.rb:17:in “call'

rack (1.6.4) lib/rack/content_length.rb:15:in ‘call’

rack (1.6.4) lib/rack/handler/webrick.rb:88:in 'service'
/home/dcleal/.rvm/rubies/ruby-2.3.0/1ib/ruby/2.3.0/webrick/httpserver.rb:140:in "service'
/home/dcleal/.rvm/rubies/ruby-2.3.0/1ib/ruby/2.3.0/webrick/httpserver.rb:96:in "run'
| /home/dcleal/.rvm/rubies/ruby-2.3.0/1ib/ruby/2.3.0/webrick/server.rb:296:in "block in start_t
hread’
| logging (2.1.0) lib/logging/diagnostic_context.rb:450:in “block in create_with_logging_contex
2016-06-09T13:07:33 [app] [I] Rendered /home/dcleal/.rvm/gems/ruby-2.3.0@foreman/gems/actionpack
-4.2.6/1lib/action_dispatch/middleware/templates/rescues/_trace.text.erb (0.5ms)
2016-06-09T13:07:33 [app] [I] Rendered /home/dcleal/.rvm/gems/ruby-2.3.0@foreman/gems/actionpack

-4.2.6/1lib/action_dispatch/middleware/templates/rescues/routing_error.text.erb (6.3ms)

This works prior to ticket #15223 where it generates a valid path:
https://projects.theforeman.org/issues/15223

2016-06-09T13:08:16 [app] [I] Started POST "/hosts/template_used?provisioning=build" for 127.
at 2016-06-09 13:08:16 +0100
2016-06-09T13:08:16 [app] [I] Processing by HostsController#template_used as */*

Related issues:
Related to Foreman - Bug #15223: Resolving templates to provision a discovere... Closed 05/29/2016

Associated revisions

Revision 8e2a541f - 06/14/2016 08:06 AM - Dominic Cleal

fixes #15363 - construct correct templates query for new hosts

Revision cff614a4 - 06/17/2016 08:06 AM - Dominic Cleal

fixes #15363 - construct correct templates query for new hosts

(cherry picked from commit 8e2a541fc065180e338bf537d461f13e396b9b4c)
Revision 4f1dad6b - 06/21/2016 07:29 AM - Dominic Cleal

fixes #15363 - construct correct templates query for new hosts

(cherry picked from commit 8e2a541fc065180e338bf537d461f13e396b9b4c)

History

#1 - 06/09/2016 08:20 AM - Dominic Cleal

- Related to Bug #15223: Resolving templates to provision a discovered host fails added

#2 - 06/10/2016 09:12 AM - Dominic Cleal

- translation missing: en.field_release changed from 160 to 136

#3 - 06/10/2016 09:38 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 06/10/2016 09:39 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3586 added

#5 - 06/14/2016 09:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 8e2a541fc065180e338bf537d461f13e396b9b4c.

#6 - 06/21/2016 03:18 AM - Dominic Cleal

- translation missing: en.field_release changed from 136 to 159
